Subject: bug#5736: 23.1; Xresource menuBar does not work as advertized

From: Jan Djärv <[email-masked]>
Date: Sat, 20 Mar 2010 13:42:10 +0100

Tim Landscheidt skrev:
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
> 
> Your bug report will be posted to the [email-masked] mailing list,
> and to the gnu.emacs.bug news group.
> 
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
> 
> Appendix "D.2 Table of X Resources for Emacs" of the Emacs
> info manual states that:
> 
> | `menuBar' (class `MenuBar')
> |      Give frames menu bars if `on'; don't have menu bars if `off'.
> |      *Note Lucid Resources::, and *note LessTif Resources::, for how to
> |      control the appearance of the menu bar if you have one.
> 
> Yet, "on" produces *no* menu bar; you have to use "1" to
> enable it. "off" on the other hand works as expected (maybe
> silently cast to "0"?).
> 

The documentation has stated this a long time, but it has never been true. 
The code expects a number, and 0 is off, anuthing else is on.

There is also a mention of the resource menuBarLines that doesn't exist, it 
was renamed to menuBar in 1994.  I guess that is where the 1 and 0 comes from.

It is easy to fix, but as 23.2 is approaching, I guess the Emacs maintainers 
must give their Ok.

	Jan D.